FlatpageDocs
Link names

Check a link name

Whether a link name is valid and free, and the URL it would get.

GET
/link-names/{name}
AuthorizationBearer <token>

An API key from Settings in the dashboard (fpk_...), or an OAuth access token from the MCP sign-in.

In: header

Path Parameters

namestring

Response Body

curl -X GET "https://flatpage.app/v1/link-names/spring-menu"
{
  "name": "string",
  "available": true,
  "reason": "string",
  "url": "string"
}
{
  "error": "site not found"
}
{
  "error": "site not found"
}
{
  "error": "site not found"
}